'use strict';
define([
  'angular',
  'widgets/utilities/config/directives/gcconfigeditor',
  'widgets/utilities/config/directives/gcconfigbrowser',

  'angular-strap',
  'angular-strap.tpl',

  'angular-route',

  'toastr',
  'ol3js',
  'ng-table',
], function(angular, gcconfigeditor, gcconfigbrowser) {
  var configutilities = angular.module('configutilities', [
    'mgcrea.ngStrap',
    'ngRoute',
    'pascalprecht.translate',
  ]);

  configutilities.directive('configEditor', gcconfigeditor);
  configutilities.directive('configBrowser', gcconfigbrowser);

  return configutilities;
});
